$parent: 'link';

@include block($parent) {
  --link-color: var(--color-black-100);
  --link-hover-color: var(--color-blue-1200);

  position: relative;
  gap: 4px;
  display: inline-flex;
  align-items: center;
  color: var(--link-color);
  padding: 0;
  background-color: transparent;
  border: none;

  transition: color 0.3s;

  @media (hover: hover) {
    padding-bottom: 4px;

    &:hover {
      color: var(--link-hover-color);

      &::before {
        width: 100%;
        background-color: var(--link-hover-color);
      }

      @include element($parent, 'icon') {
        stroke: var(--link-hover-color);
      }
    }
  }

  &::before {
    position: absolute;
    left: 0;
    bottom: 0;
    content: '';
    width: 0;
    height: 1px;
    background-color: var(--link-color);
    transition: width 0.3s;
  }

  @include element($parent, 'icon') {
    min-width: rem(24);
    width: rem(24);
    height: rem(24);
    stroke: var(--link-color);
    fill: transparent;
  }

  @include modifier($parent, 'white') {
    --link-color: var(--color-white-100);
  }

  @include modifier($parent, 'no-underline') {
    @media (hover: hover) {
      padding-bottom: 0;

      &::before {
        content: none;
      }
    }
  }

  @include modifier($parent, 'reverse-icon') {
    flex-direction: row-reverse;

    @include element($parent, 'icon') {
      transform: rotate(180deg);
    }
  }
}
